Skip to main content
POST
Submit site keyword analysis

Authorizations

API-Key
string
header
required

"Enter your organization API key. Example: 'cs_live_xxxx'"

Body

application/json

Analysis submission request

maxPages
integer
required

Maximum number of pages to analyze, including the input URL (1 to 50). If 1, only the input URL is analyzed; if 2 or more, other pages on the site are explored as well.

Required range: 1 <= x <= 50
Example:

30

url
string
required

URL to analyze (including scheme, up to 2048 characters)

Maximum string length: 2048
Example:

"https://trychainshift.ai/"

Response

OK

id
string

ID of the created analysis task. Pass this value as is as the taskID of the analysis status endpoint (GET /v1beta/platform/siteKeywordAnalyses/{taskID})

Example:

"Ck1hRr4mQ2yVX8pTd0LsJw"